# NOTE
# To rebuild locally using mock, make sure SELinux is not set to enforcing;
# as root:
# setenforce 0
#
# see https://bugzilla.redhat.com/show_bug.cgi?id=857709
#
Name:           dataquay
Version:        0.9
Release:        3%{?dist}
Summary:        Simple RDF for C++ and Qt applications

# README says BSD but this is more similar to MIT text
License:        MIT
URL:            http://breakfastquay.com/dataquay/
Source0:        http://code.breakfastquay.com/attachments/download/30/dataquay-0.9.tar.bz2

BuildRequires:  qt-devel
BuildRequires:  redland-devel
BuildRequires:  Xvfb xauth
#Requires:       

%description
Dataquay is a free open source library that provides a friendly C++
interface to an RDF datastore using Qt4 classes and
containers. Supported datastores are the popular and feature-complete
Redland and the lightweight Sord.

Dataquay is simple to use and easy to integrate. It is principally
aimed at Qt-based applications that would like to use an RDF datastore
as backing for in-memory project data, to avoid having to invent file
formats or XML schemas and to make it easy to augment the data with
descriptive metadata pulled in from external sources. It's also useful
for applications with ad-hoc needs for metadata management using RDF
sources.

Dataquay does not use a separate database, instead using in-memory
storage with separate file import and export facilities. Although it
offers a choice of datastore implementations, the choice is made at
compile time: there is no runtime module system to take into account
when deploying your application.

The Fedora package is configured to use Redland, as recommended by the
developers for general use.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       redland-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# patch for multilib
%{__sed} -i.multilib 's|$${PREFIX}/lib|$${PREFIX}/%{_lib}|' lib.pro
%{__sed} -i.multilib 's|${exec_prefix}/lib|${exec_prefix}/%{_lib}|' \
         deploy/dataquay.pc.in


%build
qmake-qt4 dataquay.pro PREFIX=%{_prefix}
xvfb-run -a -w 1 make %{?_smp_mflags}


%install
make install INSTALL_ROOT=%{buildroot}
# actually copy .pc file
%{__cp} -p deploy/dataquay.pc %{buildroot}%{_libdir}/pkgconfig/
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING CHANGELOG README.txt
%{_libdir}/*.so.*

%files devel
%doc examples
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Nov  2 2012 Michel Salim <salimma@fedoraproject.org> - 0.9-3
- Make -devel subpackage pull in pkgconfig(redland) as well

* Tue Oct  9 2012 Michel Salim <salimma@fedoraproject.org> - 0.9-2
- Add note with workaround for building in mock for bug #857709

* Sun Sep 16 2012 Michel Salim <salimma@fedoraproject.org> - 0.9-1
- Initial package

